<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrderDeliveriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('order_deliveries', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('order_id');
            $table->string('delivery_code')->index();
            $table->string('delivery_name')->nullable();
            $table->unsignedTinyInteger('delivery_status')->index()->default(0);
            $table->string('track_number')->nullable();
            $table->decimal('delivery_price')->default(0);
            $table->decimal('total_qty')->default(0);
            $table->timestamps();
        });
        Schema::table('order_deliveries', function (Blueprint $table) {
            $table->foreign('order_id')->on('orders')->references('id')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('order_deliveries');
    }
}
