@extends('cms::admin.layouts.app')
@section('content')
    <form action="{{$formRoute}}" class="card" method="post" enctype="multipart/form-data">
        @csrf
        @method($formMethod)
        <div class="card-header text-right">
            <button
                class="btn btn-success">{{trans($formMethod === 'POST' ? 'cms::admin.create' :'cms::admin.update')}}</button>
        </div>
        <div class="card-body">

            @component('cms::components.input')
                @slot('key', 'manufacture_name')
                @slot('placeholder', trans('erp::erp.manufacture_name'))
                @slot('validate', 'required')
                @slot('value', old('manufacture_name', $manufacture->manufacture_name?? null))
            @endcomponent
            @component('cms::components.input')
                @slot('type', 'url')
                @slot('key', 'manufacture_url')
                @slot('placeholder', trans('erp::erp.url'))
                @slot('validate', 'required')
                @slot('value', old('manufacture_url', $manufacture->manufacture_url?? 'https://'))
            @endcomponent
            @component('erp::components.image')
                @slot('key', 'manufacture_image')
                @slot('placeholder', trans('erp::erp.manufacture_image'))
                @slot('validate', 'required')
                @slot('value', old('sku', $manufacture->manufacture_image?? null))
            @endcomponent
        </div>
        <div class="card-footer text-right">
            <button
                class="btn btn-success">{{trans($formMethod === 'POST' ? 'cms::admin.create' :'cms::admin.update')}}</button>
        </div>
    </form>
@endsection
