@extends('cms::admin.layouts.app')
@php
    /**
     * @var \TDevAgency\Erp\Models\Container $container
    */
@endphp
@section('content')
    <form action="{{$formRoute}}" class="card" method="post" enctype="multipart/form-data">
        @csrf
        @method($formMethod)
        <div class="card-header text-right">
            <button
                class="btn btn-success">{{trans($formMethod === 'POST' ? 'cms::admin.create' :'cms::admin.update')}}</button>
        </div>
        <div class="card-body">

            @component('cms::components.input')
                @slot('key', 'container_name')
                @slot('placeholder', trans('erp::erp.container_name'))
                @slot('validate', 'required')
                @slot('value', old('name', $container->container_name?? null))
            @endcomponent


            @component('cms::components.select2')
                @slot('key', 'admin_user_id')
                @slot('placeholder', trans('erp::erp.owner'))
                @slot('value', old('admin_user_id', $container->admin_user_id?? 0))
                @slot('attributes', ['required'])
                @slot('validate', 'required')
                @slot('options', $users)
            @endcomponent

        </div>
        <div class="card-footer text-right">
            <button
                class="btn btn-success">{{trans($formMethod === 'POST' ? 'cms::admin.create' :'cms::admin.update')}}</button>
        </div>
    </form>
@endsection
