<?php

namespace TDevAgency\Erp\Commands;

use Illuminate\Routing\Console\ControllerMakeCommand as ControllerMakeCommandParent;
use Illuminate\Support\Str;

class ControllerMakeCommand extends ControllerMakeCommandParent
{
    protected $name = 'cms:erp:make:controller';

    /**
     * Get the destination class path.
     *
     * @param string $name
     * @return string
     */
    protected function getPath($name)
    {
        $name = Str::replaceFirst($this->rootNamespace(), '', $name);

        return TDEV_AGENCY_ERP_ROOT . 'ыкс/' . str_replace('\\', '/', $name) . '.php';
    }

    protected function rootNamespace()
    {
        return 'TDevAgency\\Erp\\';
    }

    protected function getDefaultNamespace($rootNamespace)
    {
        return $rootNamespace . '\Controllers';
    }
}
