<?php

namespace TDevAgency\Erp\Controllers\Api\V1;

use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use TDevAgency\Cms\Controllers\Controller;
use TDevAgency\Erp\Models\Product;
use TDevAgency\Erp\Resources\ProductResource;

class ProductController extends Controller
{
    /**
     * @param Request $request
     * @return JsonResponse
     */
    public function query(Request $request)
    {
        $products = Product::container()->searchApi()->orderBy('product_name')->orderBy('sku')->get(['id', 'sku', 'product_name', 'price', 'special_price']);
        return JsonResponse::create($products);
    }

    /**
     * @param $id
     * @param Request $request
     * @return ProductResource
     */
    public function show($id, Request $request)
    {
        return new ProductResource(Product::container()->findOrFail($id));
    }
}
