<?php

namespace TDevAgency\Erp\Traits;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Config;

trait Containerable
{
    protected static function boot()
    {
        parent::boot();

        parent::saving(
            function (Model $model) {
                if ($model->getAttributeValue('container_id') === null) {
                    $model->setAttribute('container_id', Auth::guard('admin_user')->user()->container->id);
                }
            }
        );
        parent::creating(
            function (Model $model) {
                if ($model->getAttributeValue('container_id') === null) {
                    $model->setAttribute('container_id', Auth::guard('admin_user')->user()->container->id);
                }
            }
        );
    }

    /**
     * @param Builder $query
     * @return Builder
     */
    public function scopeContainer(Builder $query)
    {
        $conteiner_id = null;

        if (Config::has('container_id')) {
            $conteiner_id = Config::get('container_id');
        } elseif (!empty(Auth::user()->container)) {
            $conteiner_id = Auth::user()->container->id;
        }

        return $query->where('container_id', $conteiner_id);
    }
}
